Subject: bug#64156: no tests/demo/ subdir mentioned in doc

From: Karl Berry <[email-masked]>
Date: Sun, 18 Jun 2023 14:44:16 -0600

The "Makefile rules" node in libtool.texi mentions a tests/demo
subdirectory in the libtool distribution, which does not exist as far as
I can see:

    (hint: examine the @file{Makefile.in} in the @file{tests/demo}
    subdirectory of the libtool distribution@dots{} note especially that it
    was automatically generated from the @file{Makefile.am} by Automake).

(Trivial aside: I think a semicolon would be better than @dots{} here.)

There is a file tests/demo.at, and other *demo*.at tests in libtool, but
it is not exactly trivial to turn them into a normal runnable test
hierarchy. Ditto for the examples shown in the manuals.

I'm using libtool with automake.  Is there a runnable hello,world
libtool+automake example somewhere?  I couldn't find one in either the
automake or libtool repos, web pages, etc.  There are various repos
claiming to do it on github, but at first blush, they looked pretty old
(e.g., using configure.in). --thanks, Karl.